// Code generated by mockery v2.10.2. DO NOT EDIT.

package mocks

import (
	mock "github.com/stretchr/testify/mock"

	time "time"
)

// StorageRepo is an autogenerated mock type for the StorageRepo type
type StorageRepo struct {
	mock.Mock
}

// Clear provides a mock function with given fields: ctx, path
func (_m *StorageRepo) Clear(ctx string, path string) error {
	ret := _m.Called(ctx, path)

	var r0 error
	if rf, ok := ret.Get(0).(func(string, string) error); ok {
		r0 = rf(ctx, path)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// Get provides a mock function with given fields: ctx, path
func (_m *StorageRepo) Get(ctx string, path string) ([]byte, error) {
	ret := _m.Called(ctx, path)

	var r0 []byte
	if rf, ok := ret.Get(0).(func(string, string) []byte); ok {
		r0 = rf(ctx, path)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]byte)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(string, string) error); ok {
		r1 = rf(ctx, path)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// List provides a mock function with given fields:
func (_m *StorageRepo) List() (*[]string, error) {
	ret := _m.Called()

	var r0 *[]string
	if rf, ok := ret.Get(0).(func() *[]string); ok {
		r0 = rf()
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*[]string)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func() error); ok {
		r1 = rf()
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// Set provides a mock function with given fields: ctx, path, payload
func (_m *StorageRepo) Set(ctx string, path string, payload []byte) error {
	ret := _m.Called(ctx, path, payload)

	var r0 error
	if rf, ok := ret.Get(0).(func(string, string, []byte) error); ok {
		r0 = rf(ctx, path, payload)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// SetWithDuration provides a mock function with given fields: ctx, path, payload, duration
func (_m *StorageRepo) SetWithDuration(ctx string, path string, payload []byte, duration time.Duration) error {
	ret := _m.Called(ctx, path, payload, duration)

	var r0 error
	if rf, ok := ret.Get(0).(func(string, string, []byte, time.Duration) error); ok {
		r0 = rf(ctx, path, payload, duration)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}
